Subject: Re: [net-next 01/15] net/mlx5: Lag, Let user configure multiport eswitch

From: Jakub Kicinski <[email-masked]>
Date: Tue, 14 Feb 2023 12:40:55 -0800

On Tue, 14 Feb 2023 09:31:10 +0200 Mark Bloch wrote:
> > Oh, the "legacy software where updating the logic isn't possible"
> > sounds concerning. Do we know what those cases are? Can we perhaps
> > constrain them to run on a specific version of HW (say starting with
> > CX8 the param will no longer be there and only the right behavior will
> > be supported upstream)?  
> 
> While I can encourage customers to update their software to deal with
> this new mode it's up to them. As you already know, it's hard to change
> customers infrastructure so quickly. These things take time. They plan
> on running multiple hardware generations on top of the same software.
> I'll keep pushing on making this mode the default one.

I think we should document some time horizon. We can always push it
back but having a concrete plan in place may motive users. Also it's
useful to point at and say "we warned you". 

Doesn't have to be anything very imminent, time flies.